<?php
if (file_exists("templates/plr.htm")) {
	$player = $_GET["player"];
	
	if (!is_numeric($player)) {
		$content = "No valid player";
	}
	else {
		$query = "SELECT PlayerID, ";
		$query.= "PlayerName, ";
		$query.= "LastPlayed, ";
		$query.= "Kills, ";
		$query.= "Deaths, ";
		$query.= "Murders, ";
		$query.= "Kills/IF(Deaths=0, 1, Deaths) AS Ratio, ";
		$query.= "ShotsFired/If(Kills=0, 1, Kills) As ShotsPerKill, ";
		$query.= "ROUND(ExpPoints/IF((TimePlayed / 60)=0,1,(TimePlayed / 60)), 2) As ExpPointsPerMinute, ";
		$query.= "ROUND(ExpPoints/IF((TimePlayed / 3600)=0,1, (TimePlayed / 3600)), 2) As ExpPointsPerHour, ";
		$query.= "ROUND(Kills/IF((TimePlayed / 60)=0,1,(TimePlayed / 60)), 2) As KillsPerMinute, ";
		$query.= "ROUND(Kills/IF((TimePlayed / 3600)=0,1, (TimePlayed / 3600)), 2) As KillsPerHour, ";
		$query.= "ROUND(Deaths/IF((TimePlayed / 60)=0,1,(TimePlayed / 60)), 2) As DeathsPerMinute, ";
		$query.= "ROUND(Deaths/IF((TimePlayed / 3600)=0,1, (TimePlayed / 3600)), 2) As DeathsPerHour, ";
		$query.= "ROUND(Murders/IF((TimePlayed / 60)=0,1,(TimePlayed / 60)), 2) As MurdersPerMinute, ";
		$query.= "ROUND(Murders/IF((TimePlayed / 3600)=0,1,(TimePlayed / 3600)), 2) As MurdersPerHour, ";
		$query.= "ROUND(Headshots/IF((TimePlayed / 60)=0,1,(TimePlayed / 60)), 2) As HeadshotsPerMinute, ";
		$query.= "ROUND(Headshots/IF((TimePlayed / 3600)=0,1, (TimePlayed / 3600)), 2) As HeadshotsPerHour, ";
		$query.= "ROUND(Knifes/IF((TimePlayed / 60)=0,1,(TimePlayed / 60)), 2) As KnifesPerMinute, ";
		$query.= "ROUND(Knifes/IF((TimePlayed / 3600)=0,1, (TimePlayed / 3600)), 2) As KnifesPerHour, ";
		$query.= "ROUND(Assists/IF((TimePlayed / 60)=0,1,(TimePlayed / 60)), 2) As AssistsPerMinute, ";
		$query.= "ROUND(Assists/IF((TimePlayed / 3600)=0,1, (TimePlayed / 3600)), 2) As AssistsPerHour, ";
		$query.= "ROUND(ZoneAttackKills/IF((TimePlayed / 60)=0,1,(TimePlayed / 60)), 2) As ZoneAttackKillsPerMinute, ";
		$query.= "ROUND(ZoneAttackKills/IF((TimePlayed / 3600)=0,1, (TimePlayed / 3600)), 2) As ZoneAttackKillsPerHour, ";
		$query.= "ROUND(ZoneDefendKills/IF((TimePlayed / 60)=0,1,(TimePlayed / 60)), 2) As ZoneDefendKillsPerMinute, ";
		$query.= "ROUND(ZoneDefendKills/IF((TimePlayed / 3600)=0,1, (TimePlayed / 3600)), 2) As ZoneDefendKillsPerHour, ";
		$query.= "ROUND(Suicides/IF((TimePlayed / 60)=0,1,(TimePlayed / 60)), 2) As SuicidesPerMinute, ";
		$query.= "ROUND(Suicides/IF((TimePlayed / 3600)=0,1, (TimePlayed / 3600)), 2) As SuicidesPerHour, ";
		$query.= "ROUND(MedicSaves/IF((TimePlayed / 60)=0,1,(TimePlayed / 60)), 2) As MedicSavesPerMinute, ";
		$query.= "ROUND(MedicSaves/IF((TimePlayed / 3600)=0,1, (TimePlayed / 3600)), 2) As MedicSavesPerHour, ";
		$query.= "ROUND(MedicRevives/IF((TimePlayed / 60)=0,1,(TimePlayed / 60)), 2) As MedicRevivesPerMinute, ";
		$query.= "ROUND(MedicRevives/IF((TimePlayed / 3600)=0,1, (TimePlayed / 3600)), 2) As MedicRevivesPerHour, ";
		$query.= "ROUND(PspAttempt/IF((TimePlayed / 60)=0,1,(TimePlayed / 60)), 2) As PspAttemptPerMinute, ";
		$query.= "ROUND(PspAttempt/IF((TimePlayed / 3600)=0,1, (TimePlayed / 3600)), 2) As PspAttemptPerHour, ";
		$query.= "ROUND(PspTakes/IF((TimePlayed / 60)=0,1,(TimePlayed / 60)), 2) As PspTakesPerMinute, ";
		$query.= "ROUND(PspTakes/IF((TimePlayed / 3600)=0,1, (TimePlayed / 3600)), 2) As PspTakesPerHour, ";
		$query.= "ROUND(SdAdFriendlyZoneDefendKills/IF((TimePlayed / 60)=0,1,(TimePlayed / 60)), 2) As SdAdFriendlyZoneDefendKillsPerMinute, ";
		$query.= "ROUND(SdAdFriendlyZoneDefendKills/IF((TimePlayed / 3600)=0,1, (TimePlayed / 3600)), 2) As SdAdFriendlyZoneDefendKillsPerHour, ";
		$query.= "ROUND(SdAdFriendlyZonePolicingKills/IF((TimePlayed / 60)=0,1,(TimePlayed / 60)), 2) As SdAdFriendlyZonePolicingKillsPerMinute, ";
		$query.= "ROUND(SdAdFriendlyZonePolicingKills/IF((TimePlayed / 3600)=0,1, (TimePlayed / 3600)), 2) As SdAdFriendlyZonePolicingKillsPerHour, ";
		$query.= "ROUND(SdAdEnemyZoneAttackKills/IF((TimePlayed / 60)=0,1,(TimePlayed / 60)), 2) As SdAdEnemyZoneAttackKillsPerMinute, ";
		$query.= "ROUND(SdAdEnemyZoneAttackKills/IF((TimePlayed / 3600)=0,1, (TimePlayed / 3600)), 2) As SdAdEnemyZoneAttackKillsPerHour, ";
		$query.= "ROUND(SdAdEnemyZoneSecuringKills/IF((TimePlayed / 60)=0,1,(TimePlayed / 60)), 2) As SdAdEnemyZoneSecuringKillsPerMinute, ";
		$query.= "ROUND(SdAdEnemyZoneSecuringKills/IF((TimePlayed / 3600)=0,1, (TimePlayed / 3600)), 2) As SdAdEnemyZoneSecuringKillsPerHour, ";
		$query.= "ROUND(Targets/IF((TimePlayed / 60)=0,1,(TimePlayed / 60)), 2) As TargetsPerMinute, ";
		$query.= "ROUND(Targets/IF((TimePlayed / 3600)=0,1, (TimePlayed / 3600)), 2) As TargetsPerHour, ";
		$query.= "ROUND(SniperKills/IF((TimePlayed / 60)=0,1,(TimePlayed / 60)), 2) As SniperKillsPerMinute, ";
		$query.= "ROUND(SniperKills/IF((TimePlayed / 3600)=0,1, (TimePlayed / 3600)), 2) As SniperKillsPerHour, ";
		$query.= "SdAdFriendlyZoneDefendKills, ";
		$query.= "SdAdFriendlyZonePolicingKills, ";
		$query.= "SdAdEnemyZoneAttackKills, ";
		$query.= "SdAdEnemyZoneSecuringKills, ";
		$query.= "Targets, ";
		$query.= "SniperKills, ";
		$query.= "ShotsFired, ";
		$query.= "SecondsInZone, ";
		$query.= "Suicides, ";
		$query.= "ShotsFired, ";
		$query.= "MedicSaves, ";
		$query.= "MedicRevives, ";
		$query.= "PspAttempt, ";
		$query.= "PspTakes, ";
		$query.= "Headshots, ";
		$query.= "Knifes, ";
		$query.= "ZoneAttackKills, ";
		$query.= "ZoneDefendKills, ";
		$query.= "ExpPoints, ";
		$query.= "Assists, ";
		$query.= "TimePlayed, ";
		$query.= "TotalGames, ";
		$query.= "GamesWon, ";
		$query.= "GamesLost, ";
		$query.= "GamesDraw ";
		$query.= "FROM {$settings["dbprefix"]}Players ";
		$query.= "WHERE PlayerID = '$player'";
		
		$result = mysql_query($query) or die(mysql_error());
		
		if (mysql_num_rows($result) <> 1) {
			$content = "Player not found in player database";
		}
		else {
			$row = mysql_fetch_array($result);
			$row["PlayerName"] = htmlspecialchars(base64_decode($row["PlayerName"]));
			$row["Ratio"] = @number_format($row["Ratio"], 2);
			$row["ShotsPerKill"] = @number_format($row["ShotsPerKill"], 0);
			$row["TimePlayed"] = FormatTime($row["TimePlayed"]);
			$row["ZoneTime"] = FormatTime($row["SecondsInZone"]);
			$tpl = new phemplate();
			$tpl->set_file("template", "templates/plr.htm");
			$tpl->set_var('scripturl', $scripturl);
			$tpl->set_var('selplayer',   $row);
			
			$query = "SELECT m.MapName, m.MapID, s.Kills, s.Deaths, ";
			$query.= "ROUND(s.Kills/(s.TimePlayed/60), 2) As KillsPerMinute, ROUND(s.Deaths/(s.TimePlayed/60), 2) As DeathsPerMinute, ";
			$query.= "TimePlayed FROM {$settings["dbprefix"]}MapStats s, {$settings["dbprefix"]}Maps m WHERE (s.PlayerID = '$player') AND (s.MapID = m.MapID) ORDER BY s.TimePlayed DESC LIMIT 10";
			$result = mysql_query($query);
			$count = 0;
			while ($row2 = mysql_fetch_array($result)) {
				if ($count % 2 == 0) {
					$row2["class"] = "row1";
				}
				else {
					$row2["class"] = "row2";
				}
				$row2["count"] = $count + 1;
				$row2["MapName"] = base64_decode($row2["MapName"]);
				$row2["TimePlayed"] = FormatTime($row2["TimePlayed"]);
				$maps[$count] = $row2;
				$count++;
			}
			$tpl->set_loop('maps', $maps);
			$content = $tpl->process("", "template", TPL_LOOP);
		}
	}
}
else {
	$content = "Error: template &quot;kills&quot; does not exist";
}
?>